Page MenuHomePhabricator

decommission es2013.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es2013.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es2013

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configuration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Mentioned in SAL (#wikimedia-operations) [2020-09-28T05:48:46Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es2013 T263740', diff saved to https://phabricator.wikimedia.org/P12804 and previous config saved to /var/cache/conftool/dbconfig/20200928-054846-marostegui.json

Change 630393 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es2013: Disable notifications

https://gerrit.wikimedia.org/r/630393

Change 630393 merged by Marostegui:
[operations/puppet@production] es2013: Disable notifications

https://gerrit.wikimedia.org/r/630393

Marostegui updated the task description. (Show Details)
Marostegui removed a subscriber: DBA.

Change 630394 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove es2013 from dbctl

https://gerrit.wikimedia.org/r/630394

Change 630394 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove es2013 from dbctl

https://gerrit.wikimedia.org/r/630394

Mentioned in SAL (#wikimedia-operations) [2020-09-28T05:54:11Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove es2013 from dbctl T263740', diff saved to https://phabricator.wikimedia.org/P12805 and previous config saved to /var/cache/conftool/dbconfig/20200928-055410-marostegui.json

Marostegui updated the task description. (Show Details)Sep 28 2020, 5:54 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-28T05:55:42Z] <marostegui> Stop MySQL on es2013 before decommissioning it T263740

Marostegui updated the task description. (Show Details)Sep 28 2020, 5:56 AM

Waiting 24h with mysql stopped before proceeding with the decommissioning

Marostegui moved this task from Triage to In progress on the DBA board.Sep 28 2020, 5:56 AM

Change 630716 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission es2013

https://gerrit.wikimedia.org/r/630716

Change 630715 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] backup2002: Change es1 replica

https://gerrit.wikimedia.org/r/630715

Change 630716 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission es2013

https://gerrit.wikimedia.org/r/630716

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es2013.codfw.wmnet

  • es2013.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (WARN)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required

Change 630717 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] dns: Remove es2013 production entries

https://gerrit.wikimedia.org/r/630717

Change 630717 merged by Marostegui:
[operations/dns@master] dns: Remove es2013 production entries

https://gerrit.wikimedia.org/r/630717

Marostegui reassigned this task from Marostegui to Papaul.Sep 29 2020, 5:08 AM
Marostegui updated the task description. (Show Details)

Ready for DC-Ops

Marostegui edited projects, added ops-codfw, DC-Ops; removed DBA.Sep 29 2020, 5:09 AM
Restricted Application added a project: SRE. · View Herald TranscriptSep 29 2020, 5:09 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-29T05:10:51Z] <marostegui> Remove es2013 from tendril and zarcillo T263740

Change 630715 merged by Jcrespo:
[operations/puppet@production] backup2002: Change es1 replica

https://gerrit.wikimedia.org/r/630715

papaul@asw-d-codfw# show | compare
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-1/0/4;
[edit interfaces interface-range disabled]
     member xe-7/0/3 { ... }
+    member ge-1/0/4;
[edit interfaces]
-   ge-1/0/4 {
-       description es2013;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 29 2020, 3:13 PM
Papaul updated the task description. (Show Details)Sep 29 2020, 3:24 PM
Papaul closed this task as Resolved.Sep 30 2020, 5:45 PM
Papaul updated the task description. (Show Details)

complete